# Generated by Django 2.0.3 on 2018-04-22 16:27

from django.db import migrations, models
import django.db.models.deletion
import django.utils.crypto
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='FakeUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('username', models.CharField(max_length=64, unique=True)),
                ('email', models.EmailField(blank=True, max_length=254, null=True)),
                ('last_activity', models.DateTimeField(default=django.utils.timezone.now)),
                ('last_status', models.CharField(blank=True, max_length=255, null=True)),
                ('is_blocked', models.BooleanField(default=True)),
            ],
            options={
                'verbose_name_plural': 'Fake XMPP Users',
                'verbose_name': 'Fake XMPP User',
            },
        ),
        migrations.CreateModel(
            name='FakeUserMessage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sender', models.CharField(max_length=64)),
                ('date', models.DateTimeField(default=django.utils.timezone.now)),
                ('subject', models.CharField(max_length=12)),
                ('message', models.CharField(max_length=128)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='messages', to='fake_xmpp.FakeUser')),
            ],
        ),
        migrations.CreateModel(
            name='FakeUserSession',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('resource', models.CharField(default=django.utils.crypto.get_random_string, max_length=255)),
                ('priority', models.IntegerField(default=0)),
                ('ip_address', models.GenericIPAddressField(default='127.0.0.1')),
                ('uptime', models.DateTimeField(default=django.utils.timezone.now)),
                ('status', models.CharField(max_length=255)),
                ('status_text', models.CharField(max_length=255)),
                ('connection_type', models.SmallIntegerField(choices=[(0, 'XMPP'), (1, 'HTTP Polling'), (2, 'HTTP Binding'), (3, 'Websockets'), (4, 'Unkown')])),
                ('encrypted', models.NullBooleanField()),
                ('compressed', models.NullBooleanField()),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sessions', to='fake_xmpp.FakeUser')),
            ],
            options={
                'verbose_name_plural': 'Fake XMPP Sessions',
                'verbose_name': 'Fake XMPP Session',
            },
        ),
    ]
